<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.3" maxVersion="1.9" type="org.netbeans.modules.form.forminfo.JDialogFormInfo">
  <Properties>
    <Property name="defaultCloseOperation" type="int" value="2"/>
    <Property name="title" type="java.lang.String" value="Usando Arquivo de TEXTO"/>
  </Properties>
  <SyntheticProperties>
    <SyntheticProperty name="formSizePolicy" type="int" value="1"/>
    <SyntheticProperty name="generateCenter" type="boolean" value="true"/>
  </SyntheticProperties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Component id="jLabel1" max="32767" attributes="0"/>
          <Group type="102" attributes="0">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" alignment="0" attributes="0">
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="jScrollPane1" max="32767" attributes="0"/>
                  </Group>
                  <Component id="panBotoes" alignment="0" max="32767" attributes="0"/>
                  <Component id="jPanel1" alignment="1" max="32767" attributes="0"/>
              </Group>
              <EmptySpace max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <Component id="jLabel1" min="-2" pref="76" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="panBotoes" min="-2" pref="48" max="-2" attributes="0"/>
              <EmptySpace type="unrelated" max="-2" attributes="0"/>
              <Component id="jPanel1" min="-2" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="jScrollPane1" pref="264" max="32767" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Component class="javax.swing.JLabel" name="jLabel1">
      <Properties>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
          <Font name="Fira Sans" size="36" style="1"/>
        </Property>
        <Property name="horizontalAlignment" type="int" value="0"/>
        <Property name="text" type="java.lang.String" value="Cadastro de Professor"/>
      </Properties>
    </Component>
    <Container class="javax.swing.JScrollPane" name="jScrollPane1">
      <AuxValues>
        <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
      </AuxValues>

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
      <SubComponents>
        <Component class="javax.swing.JTextArea" name="edtListagem">
          <Properties>
            <Property name="columns" type="int" value="20"/>
            <Property name="rows" type="int" value="5"/>
          </Properties>
        </Component>
      </SubComponents>
    </Container>
    <Container class="javax.swing.JPanel" name="panBotoes">

      <Layout class="org.netbeans.modules.form.compat2.layouts.DesignFlowLayout"/>
      <SubComponents>
        <Component class="javax.swing.JButton" name="btnNovo">
          <Properties>
            <Property name="foreground" type="java.awt.Color" editor="org.netbeans.beaninfo.editors.ColorEditor">
              <Color blue="ff" green="19" red="0" type="rgb"/>
            </Property>
            <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
              <Image iconType="3" name="/imagens/novo_32x32.png"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Novo"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnNovoActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JButton" name="btnEditar">
          <Properties>
            <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
              <Image iconType="3" name="/imagens/edit3_32x32.png"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Editar"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnEditarActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JButton" name="btnCancelar">
          <Properties>
            <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
              <Image iconType="3" name="/imagens/cancel_32x32.png"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Cancelar"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnCancelarActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JButton" name="btnExcluir">
          <Properties>
            <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
              <Image iconType="3" name="/imagens/del_32x32.png"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Excluir"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnExcluirActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JButton" name="btnSalvar">
          <Properties>
            <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
              <Image iconType="3" name="/imagens/save_32x32.png"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Salvar"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnSalvarActionPerformed"/>
          </Events>
        </Component>
      </SubComponents>
    </Container>
    <Container class="javax.swing.JPanel" name="jPanel1">

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace min="-2" pref="16" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Group type="102" alignment="0" attributes="0">
                          <Component id="lblNome2" min="-2" pref="38" max="-2" attributes="0"/>
                          <EmptySpace max="-2" attributes="0"/>
                          <Component id="edtCPF" min="-2" pref="139" max="-2" attributes="0"/>
                      </Group>
                      <Group type="102" alignment="0" attributes="0">
                          <Component id="lblSexo" min="-2" max="-2" attributes="0"/>
                          <EmptySpace type="unrelated" max="-2" attributes="0"/>
                          <Component id="edtSexo" min="-2" pref="138" max="-2" attributes="0"/>
                      </Group>
                  </Group>
                  <EmptySpace min="-2" pref="42" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Group type="102" attributes="0">
                          <Component id="lblNome1" min="-2" pref="53" max="-2" attributes="0"/>
                          <EmptySpace max="-2" attributes="0"/>
                          <Component id="edtIdade" min="-2" pref="131" max="-2" attributes="0"/>
                      </Group>
                      <Group type="102" attributes="0">
                          <Component id="lblNome" min="-2" pref="53" max="-2" attributes="0"/>
                          <EmptySpace max="-2" attributes="0"/>
                          <Component id="edtNome" min="-2" pref="331" max="-2" attributes="0"/>
                      </Group>
                  </Group>
                  <EmptySpace pref="102" max="32767" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="lblNome2" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="edtCPF" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="lblNome" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="edtNome" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace pref="14" max="32767" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="lblSexo" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="edtSexo" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Group type="103" alignment="3" groupAlignment="3" attributes="0">
                          <Component id="lblNome1" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="edtIdade" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                  </Group>
                  <EmptySpace min="-2" pref="22" max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="javax.swing.JLabel" name="lblNome2">
          <Properties>
            <Property name="text" type="java.lang.String" value="CPF:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="edtCPF">
        </Component>
        <Component class="javax.swing.JLabel" name="lblNome">
          <Properties>
            <Property name="text" type="java.lang.String" value="Nome:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="edtNome">
        </Component>
        <Component class="javax.swing.JLabel" name="lblSexo">
          <Properties>
            <Property name="text" type="java.lang.String" value="Sexo:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="edtSexo">
        </Component>
        <Component class="javax.swing.JLabel" name="lblNome1">
          <Properties>
            <Property name="text" type="java.lang.String" value="Idade:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="edtIdade">
        </Component>
      </SubComponents>
    </Container>
  </SubComponents>
</Form>
